Activity log for bug #963685

Date Who What changed Old value New value Message
2012-03-24 05:42:05 Tetsuo Handa bug added bug
2012-03-25 15:52:55 Jamie Strandboge visibility private public
2012-03-25 15:55:01 Jamie Strandboge linux (Ubuntu): status New Triaged
2012-03-25 15:55:01 Jamie Strandboge linux (Ubuntu): assignee John Johansen (jjohansen)
2012-03-25 15:55:14 Jamie Strandboge tags bot-stop-nagging
2012-03-25 16:51:01 Tim Gardner nominated for series Ubuntu Precise
2012-03-25 16:51:01 Tim Gardner bug task added linux (Ubuntu Precise)
2012-03-25 16:52:22 Tim Gardner linux (Ubuntu Precise): status Triaged Fix Committed
2012-03-25 16:52:22 Tim Gardner linux (Ubuntu Precise): assignee John Johansen (jjohansen) Tim Gardner (timg-tpi)
2012-03-25 16:52:37 Tim Gardner nominated for series Ubuntu Lucid
2012-03-25 16:52:37 Tim Gardner bug task added linux (Ubuntu Lucid)
2012-03-25 16:52:37 Tim Gardner nominated for series Ubuntu Maverick
2012-03-25 16:52:37 Tim Gardner bug task added linux (Ubuntu Maverick)
2012-03-25 16:52:37 Tim Gardner nominated for series Ubuntu Oneiric
2012-03-25 16:52:37 Tim Gardner bug task added linux (Ubuntu Oneiric)
2012-03-25 16:52:37 Tim Gardner nominated for series Ubuntu Natty
2012-03-25 16:52:37 Tim Gardner bug task added linux (Ubuntu Natty)
2012-03-25 16:53:00 Tim Gardner linux (Ubuntu Lucid): assignee John Johansen (jjohansen)
2012-03-26 01:24:30 Tim Gardner linux (Ubuntu Oneiric): status New Fix Committed
2012-03-26 01:25:44 Tim Gardner linux (Ubuntu Oneiric): status Fix Committed In Progress
2012-03-26 01:25:44 Tim Gardner linux (Ubuntu Oneiric): assignee Tim Gardner (timg-tpi)
2012-03-26 14:20:51 Tim Gardner linux (Ubuntu Natty): status New In Progress
2012-03-26 14:20:51 Tim Gardner linux (Ubuntu Natty): assignee Tim Gardner (timg-tpi)
2012-03-26 17:08:56 Tim Gardner linux (Ubuntu Maverick): status New Invalid
2012-03-26 17:09:00 Tim Gardner linux (Ubuntu Lucid): status New In Progress
2012-03-27 13:31:27 Tim Gardner linux (Ubuntu Oneiric): status In Progress Fix Committed
2012-03-27 13:31:33 Tim Gardner linux (Ubuntu Natty): status In Progress Fix Committed
2012-03-27 13:31:39 Tim Gardner linux (Ubuntu Lucid): status In Progress Fix Committed
2012-03-27 13:32:53 Tim Gardner description Upstream commits: (1) 70834d30 "usermodehelper: use UMH_WAIT_PROC consistently" (2) b3449922 "usermodehelper: introduce umh_complete(sub_info)" (3) d0bd587a "usermodehelper: implement UMH_KILLABLE" (4) 9d944ef3 "usermodehelper: kill umh_wait, renumber UMH_* constants" (5) 5b9bd473 "usermodehelper: ____call_usermodehelper() doesn't need do_exit()" (6) 3e63a93b "kmod: introduce call_modprobe() helper" (7) 1cc684ab "kmod: make __request_module() killable" Description: Since 2.6.11, an unprivileged local user can easily keep the system under memory starvation state by temporarily disabling the OOM killer due to the OOM killer deadlock. Although we haven't eliminated all of possible attack vectors, this patchset can eliminate the most straightforward attack vector. Notes: (1) and (4) are optional. (4) depends on (1). (1) needs some corrections if we backport. For example, (1) does not include fix for ubuntu/fsam7400/fsam7400.c in precise.git. Therefore, I think excluding (1) and (4) is a safer choice. 3.4-rc1 will include (4) anyway. Please make sure that all users (including ubuntu/fsam7400/fsam7400.c) started using UMH_* constants. SRU Justification Upstream commits: (1) 70834d30 "usermodehelper: use UMH_WAIT_PROC consistently" (2) b3449922 "usermodehelper: introduce umh_complete(sub_info)" (3) d0bd587a "usermodehelper: implement UMH_KILLABLE" (4) 9d944ef3 "usermodehelper: kill umh_wait, renumber UMH_* constants" (5) 5b9bd473 "usermodehelper: ____call_usermodehelper() doesn't need do_exit()" (6) 3e63a93b "kmod: introduce call_modprobe() helper" (7) 1cc684ab "kmod: make __request_module() killable" Description: Since 2.6.11, an unprivileged local user can easily keep the system under memory starvation state by temporarily disabling the OOM killer due to the OOM killer deadlock. Although we haven't eliminated all of possible attack vectors, this patchset can eliminate the most straightforward attack vector. Notes: (1) and (4) are optional. (4) depends on (1). (1) needs some corrections if we backport. For example, (1) does not include fix for ubuntu/fsam7400/fsam7400.c in precise.git. Therefore, I think excluding (1) and (4) is a safer choice. 3.4-rc1 will include (4) anyway. Please make sure that all users (including ubuntu/fsam7400/fsam7400.c) started using UMH_* constants.
2012-03-27 13:33:11 Tim Gardner bug added subscriber Ubuntu Stable Release Updates Team
2012-03-29 21:20:12 Launchpad Janitor linux (Ubuntu Precise): status Fix Committed Fix Released
2012-04-02 16:54:58 Luis Henriques tags bot-stop-nagging bot-stop-nagging verification-needed-lucid
2012-04-02 17:30:02 Tim Gardner tags bot-stop-nagging verification-needed-lucid bot-stop-nagging verification-done-lucid
2012-04-03 18:20:40 Launchpad Janitor branch linked lp:ubuntu/linux-armadaxp
2012-04-04 12:47:27 Launchpad Janitor branch linked lp:ubuntu/lucid-proposed/linux-ec2
2012-04-07 15:47:38 Brad Figg tags bot-stop-nagging verification-done-lucid bot-stop-nagging verification-done-lucid verification-needed-oneiric
2012-04-09 13:55:02 Tim Gardner tags bot-stop-nagging verification-done-lucid verification-needed-oneiric bot-stop-nagging verification-done-lucid verification-done-oneiric
2012-04-10 09:36:32 Launchpad Janitor branch linked lp:ubuntu/maverick-proposed/linux-mvl-dove
2012-04-11 07:45:22 Launchpad Janitor branch linked lp:ubuntu/lucid-proposed/linux-lts-backport-oneiric
2012-04-11 23:40:23 Launchpad Janitor branch linked lp:ubuntu/precise-proposed/linux-ti-omap4
2012-04-13 06:26:21 Launchpad Janitor branch linked lp:ubuntu/oneiric-proposed/linux-ti-omap4
2012-04-23 05:05:10 Launchpad Janitor linux (Ubuntu Lucid): status Fix Committed Fix Released
2012-04-23 05:05:10 Launchpad Janitor cve linked 2011-4347
2012-04-23 05:05:10 Launchpad Janitor cve linked 2012-0045
2012-04-23 05:05:10 Launchpad Janitor cve linked 2012-1097
2012-04-30 15:50:14 Launchpad Janitor linux (Ubuntu Oneiric): status Fix Committed Fix Released
2012-04-30 15:50:14 Launchpad Janitor cve linked 2012-1146
2012-05-02 18:34:31 Herton R. Krzesinski tags bot-stop-nagging verification-done-lucid verification-done-oneiric bot-stop-nagging verification-done-lucid verification-done-oneiric verification-needed-natty
2012-05-03 13:09:28 Tim Gardner tags bot-stop-nagging verification-done-lucid verification-done-oneiric verification-needed-natty bot-stop-nagging verification-done-lucid verification-done-natty verification-done-oneiric
2012-05-04 05:59:18 Launchpad Janitor branch linked lp:ubuntu/lucid-proposed/linux-lts-backport-natty
2012-05-08 00:32:14 Launchpad Janitor linux (Ubuntu Natty): status Fix Committed Fix Released
2012-05-08 00:32:14 Launchpad Janitor cve linked 2011-4086
2012-05-08 00:32:14 Launchpad Janitor cve linked 2012-1090
2012-05-08 00:32:14 Launchpad Janitor cve linked 2012-2100
2012-06-08 18:38:21 Launchpad Janitor branch linked lp:ubuntu/precise-proposed/linux-armadaxp
2012-09-05 18:13:39 Tim Gardner cve linked 2012-4398
2012-09-21 07:40:02 John Johansen nominated for series Ubuntu Hardy
2012-09-21 07:40:05 John Johansen nominated for series Ubuntu Quantal
2012-09-21 07:40:10 John Johansen linux-armadaxp (Ubuntu Maverick): status New Invalid
2012-09-21 07:40:15 John Johansen linux-ec2 (Ubuntu Maverick): status New Invalid
2012-09-21 07:40:19 John Johansen linux-lts-backport-oneiric (Ubuntu Maverick): status New Invalid
2012-09-21 07:40:22 John Johansen linux-lts-backport-natty (Ubuntu Maverick): status New Invalid
2012-09-21 07:40:25 John Johansen linux-mvl-dove (Ubuntu Maverick): status New Invalid
2012-09-21 07:40:29 John Johansen linux-lts-backport-maverick (Ubuntu Maverick): status New Invalid
2012-09-21 07:40:34 John Johansen linux-fsl-imx51 (Ubuntu Maverick): status New Invalid
2012-09-21 07:40:37 John Johansen linux-ti-omap4 (Ubuntu Maverick): status New Invalid
2012-09-21 07:41:33 John Johansen linux-armadaxp (Ubuntu Precise): status New Invalid
2012-09-21 07:41:35 John Johansen linux-armadaxp (Ubuntu Precise): importance Undecided Medium
2012-09-21 07:41:38 John Johansen linux-armadaxp (Ubuntu Oneiric): status New Invalid
2012-09-21 07:41:40 John Johansen linux-armadaxp (Ubuntu Oneiric): importance Undecided Medium
2012-09-21 07:42:29 John Johansen linux-armadaxp (Ubuntu Lucid): status New Invalid
2012-09-21 07:42:32 John Johansen linux-armadaxp (Ubuntu Lucid): importance Undecided Medium
2012-09-21 07:42:34 John Johansen linux-armadaxp (Ubuntu Natty): status New Invalid
2012-09-21 07:42:37 John Johansen linux-armadaxp (Ubuntu Natty): importance Undecided Medium
2012-09-21 07:42:40 John Johansen linux-ec2 (Ubuntu Precise): status New Invalid
2012-09-21 07:42:43 John Johansen linux-ec2 (Ubuntu Precise): importance Undecided Medium
2012-09-21 07:42:45 John Johansen linux-ec2 (Ubuntu Oneiric): status New Invalid
2012-09-21 07:42:48 John Johansen linux-ec2 (Ubuntu Oneiric): importance Undecided Medium
2012-09-21 07:42:51 John Johansen linux-ec2 (Ubuntu Lucid): status New Fix Committed
2012-09-21 07:42:53 John Johansen linux-ec2 (Ubuntu Lucid): importance Undecided Medium
2012-09-21 07:42:56 John Johansen linux-ec2 (Ubuntu Natty): status New Invalid
2012-09-21 07:42:59 John Johansen linux-ec2 (Ubuntu Natty): importance Undecided Medium
2012-09-21 07:43:02 John Johansen linux-lts-backport-oneiric (Ubuntu Precise): status New Invalid
2012-09-21 07:43:05 John Johansen linux-lts-backport-oneiric (Ubuntu Precise): importance Undecided Medium
2012-09-21 07:43:07 John Johansen linux-lts-backport-oneiric (Ubuntu Oneiric): status New Invalid
2012-09-21 07:43:11 John Johansen linux-lts-backport-oneiric (Ubuntu Oneiric): importance Undecided Medium
2012-09-21 07:43:13 John Johansen linux-lts-backport-oneiric (Ubuntu Lucid): status New Fix Committed
2012-09-21 07:43:15 John Johansen linux-lts-backport-oneiric (Ubuntu Lucid): importance Undecided Medium
2012-09-21 07:43:18 John Johansen linux-lts-backport-oneiric (Ubuntu Natty): status New Invalid
2012-09-21 07:43:20 John Johansen linux-lts-backport-oneiric (Ubuntu Natty): importance Undecided Medium
2012-09-21 07:43:23 John Johansen linux-lts-backport-natty (Ubuntu Precise): status New Invalid
2012-09-21 07:43:26 John Johansen linux-lts-backport-natty (Ubuntu Precise): importance Undecided Medium
2012-09-21 07:43:29 John Johansen linux-lts-backport-natty (Ubuntu Oneiric): status New Invalid
2012-09-21 07:43:32 John Johansen linux-lts-backport-natty (Ubuntu Oneiric): importance Undecided Medium
2012-09-21 07:43:35 John Johansen linux-lts-backport-natty (Ubuntu Lucid): status New Fix Committed
2012-09-21 07:43:39 John Johansen linux-lts-backport-natty (Ubuntu Lucid): importance Undecided Medium
2012-09-21 07:43:41 John Johansen linux-lts-backport-natty (Ubuntu Natty): status New Invalid
2012-09-21 07:43:43 John Johansen linux-lts-backport-natty (Ubuntu Natty): importance Undecided Medium
2012-09-21 07:43:46 John Johansen linux-mvl-dove (Ubuntu Precise): status New Invalid
2012-09-21 07:43:48 John Johansen linux-mvl-dove (Ubuntu Precise): importance Undecided Medium
2012-09-21 07:43:51 John Johansen linux-mvl-dove (Ubuntu Oneiric): status New Invalid
2012-09-21 07:43:55 John Johansen linux-mvl-dove (Ubuntu Oneiric): importance Undecided Medium
2012-09-21 07:43:58 John Johansen linux-mvl-dove (Ubuntu Lucid): status New Invalid
2012-09-21 07:44:02 John Johansen linux-mvl-dove (Ubuntu Lucid): importance Undecided Medium
2012-09-21 07:44:05 John Johansen linux-mvl-dove (Ubuntu Natty): status New Invalid
2012-09-21 07:44:08 John Johansen linux-mvl-dove (Ubuntu Natty): importance Undecided Medium
2012-09-21 07:44:11 John Johansen linux-lts-backport-maverick (Ubuntu Precise): status New Invalid
2012-09-21 07:44:14 John Johansen linux-lts-backport-maverick (Ubuntu Precise): importance Undecided Medium
2012-09-21 07:44:17 John Johansen linux-lts-backport-maverick (Ubuntu Oneiric): status New Invalid
2012-09-21 07:44:20 John Johansen linux-lts-backport-maverick (Ubuntu Oneiric): importance Undecided Medium
2012-09-21 07:44:23 John Johansen linux-lts-backport-maverick (Ubuntu Lucid): status New Invalid
2012-09-21 07:44:27 John Johansen linux-lts-backport-maverick (Ubuntu Lucid): importance Undecided Medium
2012-09-21 07:44:29 John Johansen linux-lts-backport-maverick (Ubuntu Natty): status New Invalid
2012-09-21 07:44:32 John Johansen linux-lts-backport-maverick (Ubuntu Natty): importance Undecided Medium
2012-09-21 07:44:34 John Johansen linux (Ubuntu Precise): importance Undecided Medium
2012-09-21 07:44:36 John Johansen linux (Ubuntu Oneiric): importance Undecided Medium
2012-09-21 07:44:38 John Johansen linux (Ubuntu Lucid): importance Undecided Medium
2012-09-21 07:44:41 John Johansen linux (Ubuntu Natty): importance Undecided Medium
2012-09-21 07:44:44 John Johansen linux-ti-omap4 (Ubuntu Precise): status New Fix Committed
2012-09-21 07:44:47 John Johansen linux-ti-omap4 (Ubuntu Precise): importance Undecided Medium
2012-09-21 07:44:50 John Johansen linux-ti-omap4 (Ubuntu Oneiric): status New Fix Committed
2012-09-21 07:44:53 John Johansen linux-ti-omap4 (Ubuntu Oneiric): importance Undecided Medium
2012-09-21 07:44:55 John Johansen linux-ti-omap4 (Ubuntu Lucid): status New Invalid
2012-09-21 07:44:58 John Johansen linux-ti-omap4 (Ubuntu Lucid): importance Undecided Medium
2012-09-21 07:45:01 John Johansen linux-ti-omap4 (Ubuntu Natty): importance Undecided Medium
2012-09-21 07:45:04 John Johansen linux-fsl-imx51 (Ubuntu Precise): status New Invalid
2012-09-21 07:45:07 John Johansen linux-fsl-imx51 (Ubuntu Precise): importance Undecided Medium
2012-09-21 07:45:09 John Johansen linux-fsl-imx51 (Ubuntu Oneiric): status New Invalid
2012-09-21 07:45:13 John Johansen linux-fsl-imx51 (Ubuntu Oneiric): importance Undecided Medium
2012-09-21 07:45:15 John Johansen linux-fsl-imx51 (Ubuntu Lucid): status New Invalid
2012-09-21 07:45:19 John Johansen linux-fsl-imx51 (Ubuntu Lucid): importance Undecided Medium
2012-09-21 07:45:21 John Johansen linux-fsl-imx51 (Ubuntu Natty): status New Invalid
2012-09-21 07:45:24 John Johansen linux-fsl-imx51 (Ubuntu Natty): importance Undecided Medium
2012-09-21 07:45:27 John Johansen description SRU Justification Upstream commits: (1) 70834d30 "usermodehelper: use UMH_WAIT_PROC consistently" (2) b3449922 "usermodehelper: introduce umh_complete(sub_info)" (3) d0bd587a "usermodehelper: implement UMH_KILLABLE" (4) 9d944ef3 "usermodehelper: kill umh_wait, renumber UMH_* constants" (5) 5b9bd473 "usermodehelper: ____call_usermodehelper() doesn't need do_exit()" (6) 3e63a93b "kmod: introduce call_modprobe() helper" (7) 1cc684ab "kmod: make __request_module() killable" Description: Since 2.6.11, an unprivileged local user can easily keep the system under memory starvation state by temporarily disabling the OOM killer due to the OOM killer deadlock. Although we haven't eliminated all of possible attack vectors, this patchset can eliminate the most straightforward attack vector. Notes: (1) and (4) are optional. (4) depends on (1). (1) needs some corrections if we backport. For example, (1) does not include fix for ubuntu/fsam7400/fsam7400.c in precise.git. Therefore, I think excluding (1) and (4) is a safer choice. 3.4-rc1 will include (4) anyway. Please make sure that all users (including ubuntu/fsam7400/fsam7400.c) started using UMH_* constants. kernel: request_module() OOM local DoS Break-Fix: - 70834d3070c3f3015ab5c05176d54bd4a0100546 Break-Fix: - b3449922502f5a161ee2b5022a33aec8472fbf18 Break-Fix: - d0bd587a80960d7ba7e0c8396e154028c9045c54 Break-Fix: - 9d944ef32e83405a07376f112e9f02161d3e9731 Break-Fix: - 5b9bd473e3b8a8c6c4ae99be475e6e9b27568555 Break-Fix: - 3e63a93b987685f02421e18b2aa452d20553a88b Break-Fix: - 1cc684ab75123efe7ff446eb821d44375ba8fa30
2012-09-21 09:11:33 John Johansen linux-ec2 (Ubuntu Lucid): status Fix Committed Fix Released
2012-09-21 09:11:37 John Johansen linux-ti-omap4 (Ubuntu Oneiric): status Fix Committed Fix Released
2012-09-24 14:43:45 Paolo Pisati linux-ti-omap4 (Ubuntu Natty): status New Won't Fix
2012-09-24 14:44:34 Paolo Pisati linux-ti-omap4 (Ubuntu Precise): status Fix Committed Fix Released
2012-09-24 14:45:30 Paolo Pisati linux-ti-omap4 (Ubuntu): status New Fix Released
2012-09-24 22:44:33 Michael Casadevall bug task added linux (Ubuntu Quantal)
2012-09-24 22:44:33 Michael Casadevall bug task added linux-fsl-imx51 (Ubuntu Quantal)
2012-09-24 22:44:33 Michael Casadevall bug task added linux-mvl-dove (Ubuntu Quantal)
2012-09-24 22:44:33 Michael Casadevall bug task added linux-ec2 (Ubuntu Quantal)
2012-09-24 22:44:33 Michael Casadevall bug task added linux-ti-omap4 (Ubuntu Quantal)
2012-09-24 22:44:33 Michael Casadevall bug task added linux-lts-backport-maverick (Ubuntu Quantal)
2012-09-24 22:44:33 Michael Casadevall bug task added linux-lts-backport-natty (Ubuntu Quantal)
2012-09-24 22:44:33 Michael Casadevall bug task added linux-lts-backport-oneiric (Ubuntu Quantal)
2012-09-24 22:44:33 Michael Casadevall bug task added linux-armadaxp (Ubuntu Quantal)
2012-09-26 20:04:35 John Johansen linux-armadaxp (Ubuntu Quantal): status New Invalid
2012-09-26 20:04:38 John Johansen linux-armadaxp (Ubuntu Quantal): importance Undecided Medium
2012-09-26 20:04:41 John Johansen linux-ec2 (Ubuntu Quantal): status New Invalid
2012-09-26 20:04:44 John Johansen linux-ec2 (Ubuntu Quantal): importance Undecided Medium
2012-09-26 20:04:46 John Johansen linux-lts-backport-oneiric (Ubuntu Quantal): status New Invalid
2012-09-26 20:04:50 John Johansen linux-lts-backport-oneiric (Ubuntu Quantal): importance Undecided Medium
2012-09-26 20:04:53 John Johansen linux-lts-backport-natty (Ubuntu Quantal): status New Invalid
2012-09-26 20:04:56 John Johansen linux-lts-backport-natty (Ubuntu Quantal): importance Undecided Medium
2012-09-26 20:04:58 John Johansen linux-mvl-dove (Ubuntu Quantal): status New Invalid
2012-09-26 20:05:01 John Johansen linux-mvl-dove (Ubuntu Quantal): importance Undecided Medium
2012-09-26 20:05:04 John Johansen linux-lts-backport-maverick (Ubuntu Quantal): status New Invalid
2012-09-26 20:05:08 John Johansen linux-lts-backport-maverick (Ubuntu Quantal): importance Undecided Medium
2012-09-26 20:05:10 John Johansen linux (Ubuntu Quantal): importance Undecided Medium
2012-09-26 20:05:13 John Johansen linux-ti-omap4 (Ubuntu Quantal): importance Undecided Medium
2012-09-26 20:05:16 John Johansen linux-fsl-imx51 (Ubuntu Quantal): status New Invalid
2012-09-26 20:05:18 John Johansen linux-fsl-imx51 (Ubuntu Quantal): importance Undecided Medium
2012-10-25 12:53:35 John Johansen nominated for series Ubuntu Raring
2012-10-25 12:53:37 John Johansen linux-lts-backport-oneiric (Ubuntu Lucid): status Fix Committed Fix Released
2012-10-25 12:53:43 John Johansen linux-lts-backport-natty (Ubuntu Lucid): status Fix Committed Fix Released
2012-11-08 19:13:37 John Johansen linux-lts-quantal (Ubuntu Maverick): status New Invalid
2012-11-08 19:13:42 John Johansen linux-lts-quantal (Ubuntu Natty): status New Invalid
2012-11-08 19:13:46 John Johansen linux-lts-quantal (Ubuntu Precise): status New Invalid
2012-11-08 19:13:50 John Johansen linux-lts-quantal (Ubuntu Precise): importance Undecided Medium
2012-11-08 19:13:54 John Johansen linux-lts-quantal (Ubuntu Oneiric): status New Invalid
2012-11-08 19:13:58 John Johansen linux-lts-quantal (Ubuntu Oneiric): importance Undecided Medium
2012-11-08 19:14:01 John Johansen linux-lts-quantal (Ubuntu Lucid): status New Invalid
2012-11-08 19:14:04 John Johansen linux-lts-quantal (Ubuntu Lucid): importance Undecided Medium
2012-11-08 19:14:07 John Johansen linux-lts-quantal (Ubuntu Quantal): status New Invalid
2012-11-08 19:14:12 John Johansen linux-lts-quantal (Ubuntu Quantal): importance Undecided Medium
2012-11-09 17:10:34 Marc Deslauriers bug task deleted linux-armadaxp (Ubuntu Maverick)
2012-11-09 17:10:36 Marc Deslauriers bug task deleted linux-armadaxp (Ubuntu Natty)
2012-11-09 17:10:38 Marc Deslauriers bug task deleted linux-ec2 (Ubuntu Maverick)
2012-11-09 17:10:39 Marc Deslauriers bug task deleted linux-ec2 (Ubuntu Natty)
2012-11-09 17:10:41 Marc Deslauriers bug task deleted linux-lts-backport-oneiric (Ubuntu Maverick)
2012-11-09 17:10:42 Marc Deslauriers bug task deleted linux-lts-backport-oneiric (Ubuntu Natty)
2012-11-09 17:10:44 Marc Deslauriers bug task deleted linux-lts-backport-natty (Ubuntu Maverick)
2012-11-09 17:10:45 Marc Deslauriers bug task deleted linux-lts-backport-natty (Ubuntu Natty)
2012-11-09 17:10:46 Marc Deslauriers bug task deleted linux-lts-quantal (Ubuntu Maverick)
2012-11-09 17:10:47 Marc Deslauriers bug task deleted linux-lts-quantal (Ubuntu Natty)
2012-11-09 17:10:48 Marc Deslauriers bug task deleted linux-mvl-dove (Ubuntu Maverick)
2012-11-09 17:10:50 Marc Deslauriers bug task deleted linux-mvl-dove (Ubuntu Natty)
2012-11-09 17:10:51 Marc Deslauriers bug task deleted linux-lts-backport-maverick (Ubuntu Maverick)
2012-11-09 17:10:52 Marc Deslauriers bug task deleted linux-lts-backport-maverick (Ubuntu Natty)
2012-11-09 17:10:54 Marc Deslauriers bug task deleted linux (Ubuntu Maverick)
2012-11-09 17:10:55 Marc Deslauriers bug task deleted linux (Ubuntu Natty)
2012-11-09 17:10:57 Marc Deslauriers bug task deleted linux-fsl-imx51 (Ubuntu Maverick)
2012-11-09 17:10:58 Marc Deslauriers bug task deleted linux-fsl-imx51 (Ubuntu Natty)
2012-11-09 17:10:59 Marc Deslauriers bug task deleted linux-ti-omap4 (Ubuntu Maverick)
2012-11-09 17:11:00 Marc Deslauriers bug task deleted linux-ti-omap4 (Ubuntu Natty)
2012-11-09 17:51:16 Marc Deslauriers bug task added linux (Ubuntu Hardy)
2012-11-09 17:51:16 Marc Deslauriers bug task added linux-fsl-imx51 (Ubuntu Hardy)
2012-11-09 17:51:16 Marc Deslauriers bug task added linux-mvl-dove (Ubuntu Hardy)
2012-11-09 17:51:16 Marc Deslauriers bug task added linux-ec2 (Ubuntu Hardy)
2012-11-09 17:51:16 Marc Deslauriers bug task added linux-ti-omap4 (Ubuntu Hardy)
2012-11-09 17:51:16 Marc Deslauriers bug task added linux-lts-backport-maverick (Ubuntu Hardy)
2012-11-09 17:51:16 Marc Deslauriers bug task added linux-lts-backport-natty (Ubuntu Hardy)
2012-11-09 17:51:16 Marc Deslauriers bug task added linux-lts-backport-oneiric (Ubuntu Hardy)
2012-11-09 17:51:16 Marc Deslauriers bug task added linux-armadaxp (Ubuntu Hardy)
2012-11-09 17:51:16 Marc Deslauriers bug task added linux-lts-quantal (Ubuntu Hardy)
2012-11-09 17:51:20 Marc Deslauriers bug task added linux (Ubuntu Raring)
2012-11-09 17:51:20 Marc Deslauriers bug task added linux-fsl-imx51 (Ubuntu Raring)
2012-11-09 17:51:20 Marc Deslauriers bug task added linux-mvl-dove (Ubuntu Raring)
2012-11-09 17:51:20 Marc Deslauriers bug task added linux-ec2 (Ubuntu Raring)
2012-11-09 17:51:20 Marc Deslauriers bug task added linux-ti-omap4 (Ubuntu Raring)
2012-11-09 17:51:20 Marc Deslauriers bug task added linux-lts-backport-maverick (Ubuntu Raring)
2012-11-09 17:51:20 Marc Deslauriers bug task added linux-lts-backport-natty (Ubuntu Raring)
2012-11-09 17:51:20 Marc Deslauriers bug task added linux-lts-backport-oneiric (Ubuntu Raring)
2012-11-09 17:51:20 Marc Deslauriers bug task added linux-armadaxp (Ubuntu Raring)
2012-11-09 17:51:20 Marc Deslauriers bug task added linux-lts-quantal (Ubuntu Raring)
2012-11-09 17:51:23 Marc Deslauriers linux-armadaxp (Ubuntu Hardy): status New Invalid
2012-11-09 17:51:27 Marc Deslauriers linux-armadaxp (Ubuntu Hardy): importance Undecided Medium
2012-11-09 17:51:29 Marc Deslauriers linux-ec2 (Ubuntu Hardy): status New Invalid
2012-11-09 17:51:32 Marc Deslauriers linux-ec2 (Ubuntu Hardy): importance Undecided Medium
2012-11-09 17:51:34 Marc Deslauriers linux-lts-backport-oneiric (Ubuntu Hardy): status New Invalid
2012-11-09 17:51:38 Marc Deslauriers linux-lts-backport-oneiric (Ubuntu Hardy): importance Undecided Medium
2012-11-09 17:51:41 Marc Deslauriers linux-lts-backport-natty (Ubuntu Hardy): status New Invalid
2012-11-09 17:51:44 Marc Deslauriers linux-lts-backport-natty (Ubuntu Hardy): importance Undecided Medium
2012-11-09 17:51:48 Marc Deslauriers linux-lts-quantal (Ubuntu Raring): status New Invalid
2012-11-09 17:51:51 Marc Deslauriers linux-lts-quantal (Ubuntu Raring): importance Undecided Medium
2012-11-09 17:51:53 Marc Deslauriers linux-lts-quantal (Ubuntu Hardy): status New Invalid
2012-11-09 17:51:56 Marc Deslauriers linux-lts-quantal (Ubuntu Hardy): importance Undecided Medium
2012-11-09 17:51:58 Marc Deslauriers linux-mvl-dove (Ubuntu Hardy): status New Invalid
2012-11-09 17:52:01 Marc Deslauriers linux-mvl-dove (Ubuntu Hardy): importance Undecided Medium
2012-11-09 17:52:04 Marc Deslauriers linux-lts-backport-maverick (Ubuntu Hardy): status New Invalid
2012-11-09 17:52:07 Marc Deslauriers linux-lts-backport-maverick (Ubuntu Hardy): importance Undecided Medium
2012-11-09 17:52:10 Marc Deslauriers linux-ti-omap4 (Ubuntu Hardy): status New Invalid
2012-11-09 17:52:13 Marc Deslauriers linux-ti-omap4 (Ubuntu Hardy): importance Undecided Medium
2012-11-09 17:52:15 Marc Deslauriers linux-fsl-imx51 (Ubuntu Hardy): status New Invalid
2012-11-09 17:52:18 Marc Deslauriers linux-fsl-imx51 (Ubuntu Hardy): importance Undecided Medium
2013-02-20 18:39:55 John Johansen description kernel: request_module() OOM local DoS Break-Fix: - 70834d3070c3f3015ab5c05176d54bd4a0100546 Break-Fix: - b3449922502f5a161ee2b5022a33aec8472fbf18 Break-Fix: - d0bd587a80960d7ba7e0c8396e154028c9045c54 Break-Fix: - 9d944ef32e83405a07376f112e9f02161d3e9731 Break-Fix: - 5b9bd473e3b8a8c6c4ae99be475e6e9b27568555 Break-Fix: - 3e63a93b987685f02421e18b2aa452d20553a88b Break-Fix: - 1cc684ab75123efe7ff446eb821d44375ba8fa30 The __request_module function in kernel/kmod.c in the Linux kernel before 3.4 does not set a certain killable attribute, which allows local users to cause a denial of service (memory consumption) via a crafted application. Break-Fix: - 70834d3070c3f3015ab5c05176d54bd4a0100546 Break-Fix: - b3449922502f5a161ee2b5022a33aec8472fbf18 Break-Fix: - d0bd587a80960d7ba7e0c8396e154028c9045c54 Break-Fix: - 9d944ef32e83405a07376f112e9f02161d3e9731 Break-Fix: - 5b9bd473e3b8a8c6c4ae99be475e6e9b27568555 Break-Fix: - 3e63a93b987685f02421e18b2aa452d20553a88b Break-Fix: - 1cc684ab75123efe7ff446eb821d44375ba8fa30
2013-04-30 17:46:37 John Johansen nominated for series Ubuntu Saucy
2013-04-30 17:46:38 John Johansen bug task added linux (Ubuntu Saucy)
2013-04-30 17:46:38 John Johansen bug task added linux-fsl-imx51 (Ubuntu Saucy)
2013-04-30 17:46:38 John Johansen bug task added linux-mvl-dove (Ubuntu Saucy)
2013-04-30 17:46:38 John Johansen bug task added linux-ec2 (Ubuntu Saucy)
2013-04-30 17:46:38 John Johansen bug task added linux-ti-omap4 (Ubuntu Saucy)
2013-04-30 17:46:38 John Johansen bug task added linux-lts-backport-maverick (Ubuntu Saucy)
2013-04-30 17:46:38 John Johansen bug task added linux-lts-backport-natty (Ubuntu Saucy)
2013-04-30 17:46:38 John Johansen bug task added linux-lts-backport-oneiric (Ubuntu Saucy)
2013-04-30 17:46:38 John Johansen bug task added linux-armadaxp (Ubuntu Saucy)
2013-04-30 17:46:38 John Johansen bug task added linux-lts-quantal (Ubuntu Saucy)
2013-05-21 21:45:49 Jamie Strandboge linux (Ubuntu Hardy): status New Won't Fix
2014-02-13 14:12:37 John Johansen nominated for series Ubuntu Trusty
2014-02-13 14:12:37 John Johansen bug task added linux (Ubuntu Trusty)
2014-02-13 14:12:37 John Johansen bug task added linux-fsl-imx51 (Ubuntu Trusty)
2014-02-13 14:12:37 John Johansen bug task added linux-mvl-dove (Ubuntu Trusty)
2014-02-13 14:12:37 John Johansen bug task added linux-ec2 (Ubuntu Trusty)
2014-02-13 14:12:37 John Johansen bug task added linux-ti-omap4 (Ubuntu Trusty)
2014-02-13 14:12:37 John Johansen bug task added linux-lts-backport-maverick (Ubuntu Trusty)
2014-02-13 14:12:37 John Johansen bug task added linux-lts-backport-natty (Ubuntu Trusty)
2014-02-13 14:12:37 John Johansen bug task added linux-lts-backport-oneiric (Ubuntu Trusty)
2014-02-13 14:12:37 John Johansen bug task added linux-armadaxp (Ubuntu Trusty)
2014-02-13 14:12:37 John Johansen bug task added linux-lts-quantal (Ubuntu Trusty)
2014-02-13 14:12:49 John Johansen bug task deleted linux-armadaxp (Ubuntu Hardy)
2014-02-13 14:12:51 John Johansen bug task deleted linux-armadaxp (Ubuntu Oneiric)
2014-02-13 14:12:53 John Johansen bug task deleted linux-armadaxp (Ubuntu Raring)
2014-02-13 14:12:56 John Johansen bug task deleted linux-ec2 (Ubuntu Hardy)
2014-02-13 14:12:58 John Johansen bug task deleted linux-ec2 (Ubuntu Oneiric)
2014-02-13 14:12:59 John Johansen bug task deleted linux-ec2 (Ubuntu Raring)
2014-02-13 14:13:01 John Johansen bug task deleted linux-lts-saucy (Ubuntu Hardy)
2014-02-13 14:13:03 John Johansen bug task deleted linux-lts-saucy (Ubuntu Oneiric)
2014-02-13 14:13:04 John Johansen bug task deleted linux-lts-saucy (Ubuntu Raring)
2014-02-13 14:13:06 John Johansen bug task deleted linux-lts-quantal (Ubuntu Hardy)
2014-02-13 14:13:07 John Johansen bug task deleted linux-lts-quantal (Ubuntu Oneiric)
2014-02-13 14:13:10 John Johansen bug task deleted linux-lts-quantal (Ubuntu Raring)
2014-02-13 14:13:11 John Johansen bug task deleted linux-mvl-dove (Ubuntu Hardy)
2014-02-13 14:13:13 John Johansen bug task deleted linux-mvl-dove (Ubuntu Oneiric)
2014-02-13 14:13:15 John Johansen bug task deleted linux-mvl-dove (Ubuntu Raring)
2014-02-13 14:13:16 John Johansen bug task deleted linux (Ubuntu Hardy)
2014-02-13 14:13:18 John Johansen bug task deleted linux (Ubuntu Oneiric)
2014-02-13 14:13:26 John Johansen bug task deleted linux (Ubuntu Raring)
2014-02-13 14:13:27 John Johansen bug task deleted linux-fsl-imx51 (Ubuntu Hardy)
2014-02-13 14:13:29 John Johansen bug task deleted linux-fsl-imx51 (Ubuntu Oneiric)
2014-02-13 14:13:31 John Johansen bug task deleted linux-fsl-imx51 (Ubuntu Raring)
2014-02-13 14:13:33 John Johansen bug task deleted linux-ti-omap4 (Ubuntu Hardy)
2014-02-13 14:13:35 John Johansen bug task deleted linux-ti-omap4 (Ubuntu Oneiric)
2014-02-13 14:13:37 John Johansen bug task deleted linux-ti-omap4 (Ubuntu Raring)
2014-02-13 14:13:38 John Johansen bug task deleted linux-lts-raring (Ubuntu Hardy)
2014-02-13 14:13:41 John Johansen bug task deleted linux-lts-raring (Ubuntu Oneiric)
2014-02-13 14:13:43 John Johansen bug task deleted linux-lts-raring (Ubuntu Raring)
2014-02-13 14:13:59 John Johansen linux-ti-omap4 (Ubuntu Trusty): status Fix Released Invalid
2014-02-13 14:14:03 John Johansen linux-lts-raring (Ubuntu Precise): status New Invalid
2014-02-13 14:14:12 John Johansen linux-lts-raring (Ubuntu Precise): importance Undecided Medium
2014-02-13 14:14:16 John Johansen linux-lts-raring (Ubuntu Saucy): status New Invalid
2014-02-13 14:14:27 John Johansen linux-lts-raring (Ubuntu Saucy): importance Undecided Medium
2014-02-13 14:14:49 John Johansen linux-lts-raring (Ubuntu Lucid): status New Invalid
2014-02-13 14:14:54 John Johansen linux-lts-raring (Ubuntu Lucid): importance Undecided Medium
2014-02-13 14:15:14 John Johansen linux-lts-raring (Ubuntu Trusty): status New Invalid
2014-02-13 14:15:19 John Johansen linux-lts-raring (Ubuntu Trusty): importance Undecided Medium
2014-02-13 14:15:34 John Johansen linux-lts-raring (Ubuntu Quantal): status New Invalid
2014-02-13 14:15:38 John Johansen linux-lts-raring (Ubuntu Quantal): importance Undecided Medium
2014-04-25 16:57:58 John Johansen nominated for series Ubuntu Utopic
2014-04-25 16:57:58 John Johansen bug task added linux (Ubuntu Utopic)
2014-04-25 16:57:58 John Johansen bug task added linux-fsl-imx51 (Ubuntu Utopic)
2014-04-25 16:57:58 John Johansen bug task added linux-mvl-dove (Ubuntu Utopic)
2014-04-25 16:57:58 John Johansen bug task added linux-ec2 (Ubuntu Utopic)
2014-04-25 16:57:58 John Johansen bug task added linux-ti-omap4 (Ubuntu Utopic)
2014-04-25 16:57:58 John Johansen bug task added linux-lts-backport-maverick (Ubuntu Utopic)
2014-04-25 16:57:58 John Johansen bug task added linux-lts-backport-natty (Ubuntu Utopic)
2014-04-25 16:57:58 John Johansen bug task added linux-lts-backport-oneiric (Ubuntu Utopic)
2014-04-25 16:57:58 John Johansen bug task added linux-armadaxp (Ubuntu Utopic)
2014-04-25 16:57:58 John Johansen bug task added linux-lts-quantal (Ubuntu Utopic)
2014-04-25 16:57:58 John Johansen bug task added linux-lts-raring (Ubuntu Utopic)
2014-04-25 16:57:58 John Johansen bug task added linux-lts-saucy (Ubuntu Utopic)
2014-05-20 16:58:33 John Johansen bug task deleted linux-armadaxp (Ubuntu Quantal)
2014-05-20 16:58:35 John Johansen bug task deleted linux-ec2 (Ubuntu Quantal)
2014-05-20 16:58:37 John Johansen bug task deleted linux-lts-saucy (Ubuntu Quantal)
2014-05-20 16:58:39 John Johansen bug task deleted linux-lts-quantal (Ubuntu Quantal)
2014-05-20 16:58:41 John Johansen bug task deleted linux-mvl-dove (Ubuntu Quantal)
2014-05-20 16:58:43 John Johansen bug task deleted linux (Ubuntu Quantal)
2014-05-20 16:58:44 John Johansen bug task deleted linux-fsl-imx51 (Ubuntu Quantal)
2014-05-20 16:58:46 John Johansen bug task deleted linux-ti-omap4 (Ubuntu Quantal)
2014-05-20 16:58:48 John Johansen bug task deleted linux-lts-raring (Ubuntu Quantal)
2014-07-22 23:20:35 John Johansen bug task deleted linux-armadaxp (Ubuntu Saucy)
2014-07-22 23:20:37 John Johansen bug task deleted linux-ec2 (Ubuntu Saucy)
2014-07-22 23:20:40 John Johansen bug task deleted linux-lts-saucy (Ubuntu Saucy)
2014-07-22 23:20:42 John Johansen bug task deleted linux-lts-quantal (Ubuntu Saucy)
2014-07-22 23:20:44 John Johansen bug task deleted linux-mvl-dove (Ubuntu Saucy)
2014-07-22 23:20:46 John Johansen bug task deleted linux (Ubuntu Saucy)
2014-07-22 23:20:48 John Johansen bug task deleted linux-fsl-imx51 (Ubuntu Saucy)
2014-07-22 23:20:49 John Johansen bug task deleted linux-ti-omap4 (Ubuntu Saucy)
2014-07-22 23:20:51 John Johansen bug task deleted linux-lts-raring (Ubuntu Saucy)
2014-09-01 17:23:53 Christopher M. Penalver bug task deleted linux-lts-saucy (Ubuntu Utopic)
2014-09-01 17:24:18 Christopher M. Penalver bug task deleted linux-lts-saucy (Ubuntu Trusty)
2014-09-01 17:24:28 Christopher M. Penalver bug task deleted linux-lts-saucy (Ubuntu Precise)
2014-09-01 17:24:33 Christopher M. Penalver bug task deleted linux-lts-saucy (Ubuntu Lucid)
2014-09-01 17:26:30 Christopher M. Penalver linux-lts-saucy (Ubuntu): status New Invalid
2014-10-27 10:36:30 John Johansen nominated for series Ubuntu Vivid
2014-10-27 10:36:31 John Johansen bug task added linux (Ubuntu Vivid)
2014-10-27 10:36:31 John Johansen bug task added linux-fsl-imx51 (Ubuntu Vivid)
2014-10-27 10:36:31 John Johansen bug task added linux-mvl-dove (Ubuntu Vivid)
2014-10-27 10:36:31 John Johansen bug task added linux-ec2 (Ubuntu Vivid)
2014-10-27 10:36:31 John Johansen bug task added linux-ti-omap4 (Ubuntu Vivid)
2014-10-27 10:36:31 John Johansen bug task added linux-lts-backport-maverick (Ubuntu Vivid)
2014-10-27 10:36:31 John Johansen bug task added linux-lts-backport-natty (Ubuntu Vivid)
2014-10-27 10:36:31 John Johansen bug task added linux-lts-backport-oneiric (Ubuntu Vivid)
2014-10-27 10:36:31 John Johansen bug task added linux-armadaxp (Ubuntu Vivid)
2014-10-27 10:36:31 John Johansen bug task added linux-lts-quantal (Ubuntu Vivid)
2014-10-27 10:36:31 John Johansen bug task added linux-lts-raring (Ubuntu Vivid)
2014-10-27 10:36:31 John Johansen bug task added linux-lts-saucy (Ubuntu Vivid)
2014-12-05 20:18:22 John Johansen linux-lts-trusty (Ubuntu Vivid): status New Invalid
2014-12-05 20:18:28 John Johansen linux-lts-trusty (Ubuntu Vivid): importance Undecided Medium
2014-12-05 20:18:32 John Johansen linux-lts-utopic (Ubuntu Vivid): status New Invalid
2014-12-05 20:18:36 John Johansen linux-lts-utopic (Ubuntu Vivid): importance Undecided Medium
2014-12-09 21:22:22 John Johansen summary Please consider backporting killable request_module() patchset CVE-2012-4398
2015-01-27 21:25:10 John Johansen linux-manta (Ubuntu Vivid): status New Invalid
2015-01-27 21:25:16 John Johansen linux-manta (Ubuntu Vivid): importance Undecided Medium
2015-01-27 21:25:21 John Johansen linux-mako (Ubuntu Vivid): status New Invalid
2015-01-27 21:25:26 John Johansen linux-mako (Ubuntu Vivid): importance Undecided Medium
2015-01-27 21:25:30 John Johansen linux-goldfish (Ubuntu Vivid): status New Invalid
2015-01-27 21:25:35 John Johansen linux-goldfish (Ubuntu Vivid): importance Undecided Medium
2015-01-27 21:25:39 John Johansen linux-flo (Ubuntu Vivid): status New Invalid
2015-01-27 21:25:45 John Johansen linux-flo (Ubuntu Vivid): importance Undecided Medium
2015-05-04 21:13:04 John Johansen bug task deleted linux-armadaxp (Ubuntu Lucid)
2015-05-04 21:13:06 John Johansen bug task deleted linux-ec2 (Ubuntu Lucid)
2015-05-04 21:13:08 John Johansen bug task deleted linux-lts-quantal (Ubuntu Lucid)
2015-05-04 21:13:09 John Johansen bug task deleted linux-mvl-dove (Ubuntu Lucid)
2015-05-04 21:13:11 John Johansen bug task deleted linux (Ubuntu Lucid)
2015-05-04 21:13:12 John Johansen bug task deleted linux-fsl-imx51 (Ubuntu Lucid)
2015-05-04 21:13:14 John Johansen bug task deleted linux-ti-omap4 (Ubuntu Lucid)
2015-05-04 21:13:16 John Johansen bug task deleted linux-lts-raring (Ubuntu Lucid)
2015-05-08 08:39:08 John Johansen linux-lts-vivid (Ubuntu Vivid): status New Invalid
2015-05-08 08:39:11 John Johansen linux-lts-vivid (Ubuntu Vivid): importance Undecided Medium
2015-05-21 10:20:48 Andy Whitcroft linux-armadaxp (Ubuntu Precise): status Invalid Fix Committed
2015-05-27 18:59:14 Steve Beattie tags bot-stop-nagging verification-done-lucid verification-done-natty verification-done-oneiric bot-stop-nagging kernel-cve-tracking-bug verification-done-lucid verification-done-natty verification-done-oneiric
2015-07-28 10:17:43 John Johansen bug task deleted linux-armadaxp (Ubuntu Utopic)
2015-07-28 10:17:45 John Johansen bug task deleted linux-ec2 (Ubuntu Utopic)
2015-07-28 10:17:47 John Johansen bug task deleted linux-lts-quantal (Ubuntu Utopic)
2015-07-28 10:17:49 John Johansen bug task deleted linux-mvl-dove (Ubuntu Utopic)
2015-07-28 10:17:51 John Johansen bug task deleted linux (Ubuntu Utopic)
2015-07-28 10:17:54 John Johansen bug task deleted linux-fsl-imx51 (Ubuntu Utopic)
2015-07-28 10:17:55 John Johansen bug task deleted linux-ti-omap4 (Ubuntu Utopic)
2015-07-28 10:17:56 John Johansen bug task deleted linux-lts-raring (Ubuntu Utopic)
2015-11-10 19:46:20 Steve Beattie linux-lts-wily (Ubuntu Vivid): status New Invalid
2015-11-10 19:46:27 Steve Beattie linux-lts-wily (Ubuntu Vivid): importance Undecided Medium
2015-11-16 15:57:42 Steve Beattie linux-raspi2 (Ubuntu Vivid): status New Invalid
2015-11-16 15:57:50 Steve Beattie linux-raspi2 (Ubuntu Vivid): importance Undecided Medium
2017-10-17 17:07:46 Andy Whitcroft linux-lts-xenial (Ubuntu Vivid): status New Won't Fix